package redguard;

public class Item {
    private String nameId, name, descriptionId, description;

    public Item(MapDatabase mapDatabase, int id, String nameId, String descriptionId) {
        this.nameId = nameId;
        this.descriptionId = descriptionId;
        switch (id) {
            case 7:
                name = "GUARD SWORD";
                break;
            case 15:
                name = "RUNE (2 LINES AND A DOT)";
                break;
            case 16:
                name = "RUNE (2 LINES)";
                break;
            case 17:
                name = "RUNE (A LINE AND DOT)";
                break;
            case 20:
                name = "ORC'S BLOOD (SUBLIMATED)";
                break;
            case 22:
                name = "SPIDER'S MILK (SUBLIMATED)";
                break;
            case 24:
                name = "ECTOPLASM (SUBLIMATED)";
                break;
            case 26:
                name = "HIST SAP (SUBLIMATED)";
                break;
            case 30:
                name = "GLASS VIAL (WITH ELIXIR)";
                break;
            case 34:
                name = "RUNE (fist)";
                break;
            case 35:
                name = "'ELVEN ARTIFACTS VIII' (COPY)";
                break;
            case 53:
                name = "ISZARA'S JOURNAL (OPEN)";
                break;
            case 57:
                name = "ISZARA'S JOURNAL (LOCKED)";
                break;
            case 61:
                name = "N'GASTA'S NECROMANCY BOOK";
                break;
            case 62:
                name = "BAR MUG";
                break;
            case 63:
                name = "MARIAH'S WATERING CAN";
                break;
            case 70:
                name = "SKELETON SWORD";
                break;
            case 71:
                name = "KEEP OUT";
                break;
            case 72:
                name = "NO TRESPASSING";
                break;
            case 73:
                name = "TOBIAS' BAR MUG";
                break;
            case 75:
                name = "FLAMING SABRE";
                break;
            case 76:
                name = "GOBLIN SWORD";
                break;
            case 77:
                name = "OGRE'S AXE";
                break;
            case 78:
                name = "DRAM'S SWORD";
                break;
            case 79:
                name = "SILVER KEY (PALACE)";
                break;
            case 80:
                name = "DRAM'S BOW";
                break;
            case 81:
                name = "DRAM'S ARROW";
                break;
            case 82:
                name = "SILVER LOCKET (COPY)";
                break;
            case 84:
                name = "WANTED POSTER";
                break;
            case 85:
                name = "PALACE DIAGRAM";
                break;
            case 86:
                name = "LAST";
                break;
            default:
                name = mapDatabase.getRtxEntries().get(nameId);
        }
        description = mapDatabase.getRtxEntries().get(descriptionId);
    }

    public String getNameId() {
        return nameId;
    }

    public String getName() {
        return name;
    }

    public String getDescriptionId() {
        return descriptionId;
    }

    public String getDescription() {
        return description;
    }
}